#Scoreboard
execute @a [tag=!onscbd] ~~~ function scoreboard

#Ore Detection Items
scoreboard players set @a pickaxe 0
scoreboard players set @a [hasitem=[{item=wooden_pickaxe,location=slot.weapon.mainhand},{item=compass,location=slot.hotbar,slot=8}]] pickaxe 1
scoreboard players set @a [hasitem=[{item=stone_pickaxe,location=slot.weapon.mainhand},{item=compass,location=slot.hotbar,slot=8}]] pickaxe 2
scoreboard players set @a [hasitem=[{item=golden_pickaxe,location=slot.weapon.mainhand},{item=compass,location=slot.hotbar,slot=8}]] pickaxe 1
scoreboard players set @a [hasitem=[{item=iron_pickaxe,location=slot.weapon.mainhand},{item=compass,location=slot.hotbar,slot=8}]] pickaxe 3
scoreboard players set @a [hasitem=[{item=diamond_pickaxe,location=slot.weapon.mainhand},{item=compass,location=slot.hotbar,slot=8}]] pickaxe 4
scoreboard players set @a [hasitem=[{item=netherite_pickaxe,location=slot.weapon.mainhand},{item=compass,location=slot.hotbar,slot=8}]] pickaxe 5

#Get Dimension
scoreboard players set @a [scores={pickaxe=1..}] dimension 2
execute @a [scores={pickaxe=1..}] ~~~ execute @s ~~~ detect ~ 0 ~ bedrock -1 execute @s ~~~ detect ~ 127 ~ bedrock -1 scoreboard players set @s dimension 1
execute @a [scores={pickaxe=1..}] ~~~ detect ~ -64 ~ bedrock -1 scoreboard players set @s dimension 0

#Run Detect
scoreboard players add Timer ticks 1
scoreboard players operation @a ticks = Timer ticks
execute @a [scores={pickaxe=1..,ticks=25..,dimension=0..1}] ~~~ function detect
execute @p [scores={ticks=25..}] ~~~ scoreboard players reset * ticks

#Display Overworld
execute @a ~~~ titleraw @s [y=-58, dy=371, scores={pickaxe=1,dimension=0}] actionbar {"rawtext":[{"text":"\n    "},{"score":{"name":"*","objective":"coalOres"}},{"text":"   \n "}]}
execute @a ~~~ titleraw @s [y=-58, dy=371, scores={pickaxe=2,dimension=0}] actionbar {"rawtext":[{"text":"\n    "},{"score":{"name":"*","objective":"coalOres"}},{"text":"    "},{"score":{"name":"*","objective":"copperOres"}},{"text":"    "},{"score":{"name":"*","objective":"ironOres"}},{"text":"    "},{"score":{"name":"*","objective":"lapizOres"}},{"text":"   \n "}]}
execute @a ~~~ titleraw @s [y=-58, dy=371, scores={pickaxe=3..,dimension=0}] actionbar {"rawtext":[{"text":"\n    "},{"score":{"name":"*","objective":"coalOres"}},{"text":"    "},{"score":{"name":"*","objective":"copperOres"}},{"text":"    "},{"score":{"name":"*","objective":"ironOres"}},{"text":"    "},{"score":{"name":"*","objective":"lapizOres"}},{"text":"   \n\n    "},{"score":{"name":"*","objective":"goldOres"}},{"text":"    "},{"score":{"name":"*","objective":"redstoneOres"}},{"text":"    "},{"score":{"name":"*","objective":"diamondOres"}},{"text":"    "},{"score":{"name":"*","objective":"emeraldOres"}},{"text":"   \n "}]}
execute @a ~~~ titleraw @s [y=-64, dy=5, scores={pickaxe=1..,dimension=0}] actionbar {"rawtext":[{"text":" \n   §f§☆Ore Detection is Off Below y-58   \n "}]}
execute @a ~~~ titleraw @s [y=314, dy=5, scores={pickaxe=1..,dimension=0}] actionbar {"rawtext":[{"text":" \n   §f§☆Ore Detection is Off Above y313   \n "}]}

#Display Nether
execute @a ~~~ titleraw @s [y=6, dy=115, scores={pickaxe=1..3,dimension=1}] actionbar {"rawtext":[{"text":"\n    "},{"score":{"name":"*","objective":"quartzOres"}},{"text":"    "},{"score":{"name":"*","objective":"goldOres"}},{"text":"   \n "}]}
execute @a ~~~ titleraw @s [y=6, dy=115, scores={pickaxe=4..,dimension=1}] actionbar {"rawtext":[{"text":"\n    "},{"score":{"name":"*","objective":"quartzOres"}},{"text":"    "},{"score":{"name":"*","objective":"goldOres"}},{"text":"    "},{"score":{"name":"*","objective":"ancientDebris"}},{"text":"   \n "}]}
execute @a ~~~ titleraw @s [y=0, dy=5, scores={pickaxe=1..,dimension=1}] actionbar {"rawtext":[{"text":" \n   §c§☆Ore Detection is Off Below y6   \n "}]}
execute @a ~~~ titleraw @s [y=122, dy=5, scores={pickaxe=1..,dimension=1}] actionbar {"rawtext":[{"text":" \n   §c§☆Ore Detection is Off Above y121   \n "}]}

#Display End
titleraw @a [scores={pickaxe=1..,dimension=2}] actionbar {"rawtext":[{"text":" \n   §9§☆Ore Detection is Off the End   \n "}]}